body {
    font-family: Arial, sans-serif;
    background-image: url('../images/background.jpg');
    background-size: cover;      /* gambar memenuhi layar */
    background-repeat: no-repeat;/* supaya tidak diulang */
    background-position: center; /* posisi gambar di tengah */

    height: 100vh;
    margin: 0;

    /* PUSATKAN SEMUA */
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 380px;

    /* Agar isi ke bawah (tulisan + login) */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* ========================= */
/* ANIMASI JALAN TERUS */
/* ========================= */

@keyframes jalanTerus {
    0% {
        transform: translateX(-200px);
        opacity: 0;
    }
    20% {
        transform: translateX(0);
        opacity: 1;
    }
    80% {
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        transform: translateX(200px);
        opacity: 0;
    }
}

/* ========================= */
/* JUDUL ATAS */
/* ========================= */

.welcome-text {
    margin-bottom: 20px;
    color: white;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    /* ANIMASI LOOP */
    animation: jalanTerus 5s linear infinite;
}

.welcome-text h2 {
    margin: 0;
    font-size: 24px;
}

.welcome-text p {
    margin: 5px 0 0;
    font-size: 16px;
    text-align: center;
}

/* ========================= */

.form-box {
    background: #f2f2f5;
    padding: 25px;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    margin-bottom: 20px;
    width: 100%;
}

.hidden {
    display: none;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}

.form-group {
    margin-bottom: 15px;
}

label {
    font-size: 14px;
    color: #333;
}

input {
    width: 100%;
    padding: 10px;
    border-radius: 6px;
    border: 1px solid #ccc;
    margin-top: 5px;
}

.btn {
    width: 100%;
    padding: 10px;
    background: #2563eb;
    color: white;
    border: none;
    margin-top: 10px;
    cursor: pointer;
    border-radius: 6px;
    font-size: 15px;
}

.btn:hover {
    background: #1e40af;
}

.switch {
    text-align: center;
    margin-top: 10px;
}

.switch a {
    color: #2563eb;
    text-decoration: none;
}

.pesan {
    background-color: #fee2e2;
    color: #b91c1c;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 10px;
    text-align: center;
}